export declare class Environment {
    referrerUrl: string;
    start: Date;
    url: string;
    userAgent: string;
    static dependencyCache: {
        [name: string]: string;
    };
    clone(): Environment;
    getDependencies(): {
        [name: string]: string;
    };
    discoverDependencies(_bustCache?: boolean): void;
}
