"use strict";
exports.__esModule = true;
exports.deduplicate = void 0;
var _history = new Set();
function deduplicate(payload) {
    var fingerprint = payload.customer.token + payload.message + payload.stack;
    if (!_history.has(fingerprint)) {
        _history.add(fingerprint);
        setTimeout(function () {
            _history["delete"](fingerprint);
        }, 1000);
        return true;
    }
    return false;
}
exports.deduplicate = deduplicate;
