interface TelemetryEnvelope {
    key: Symbol;
    category: string;
    data: Object;
}
export declare class TelemetryBuffer {
    private _store;
    private _size;
    constructor(bufferSize: number, store?: Array<TelemetryEnvelope>);
    add(category: string, data: Object): Symbol;
    clear(): void;
    clone(): TelemetryBuffer;
    count(): number;
    get(key: Symbol): Object;
    getAllByCategory(category: string): Array<Object>;
}
export {};
