import { TrackJSCapturePayload } from "./TrackJSCapturePayload";
export interface TrackJSInstallOptions extends TrackJSOptions {
    token: string;
}
export interface TrackJSOptions {
    token?: string;
    application?: string;
    correlationId?: string;
    defaultMetadata?: boolean;
    dependencies?: boolean;
    errorURL?: string;
    faultURL?: string;
    metadata?: {
        [key: string]: string;
    };
    onError?: (payload: TrackJSCapturePayload) => boolean;
    sessionId?: string;
    usageURL?: string;
    userId?: string;
    version?: string;
}
