"use strict";
exports.__esModule = true;
exports.unpatch = exports.patch = void 0;
var SYM = Symbol("TrackJS Patch");
function patch(obj, name, func) {
    var original = obj[name] || function () { };
    obj[name] = func(original);
    obj[name][SYM] = original;
}
exports.patch = patch;
function unpatch(obj, name) {
    if (obj[name] && obj[name][SYM]) {
        var original = obj[name][SYM];
        obj[name] = original;
    }
}
exports.unpatch = unpatch;
