"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.uuid = void 0;
var crypto_1 = __importDefault(require("crypto"));
function uuid() {
    var rng = crypto_1["default"].randomBytes(16);
    rng[6] = (rng[6] & 0x0f) | 0x40;
    rng[8] = (rng[8] & 0x3f) | 0x80;
    var i = 0;
    return [
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        "-",
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        "-",
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        "-",
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        "-",
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        byteToHex[rng[i++]],
        byteToHex[rng[i++]]
    ].join("");
}
exports.uuid = uuid;
var byteToHex = [];
for (var i = 0; i < 256; ++i) {
    byteToHex[i] = (i + 0x100).toString(16).substr(1);
}
